### Method

# Gtk Widget activate_action

#### Declaration [src]

    gboolean
    gtk_widget_activate_action (
      GtkWidget* widget,
      const char* name,
      const char* format_string,
      ...
    )

#### Description [src]

Looks up the action in the action groups associated with `widget` and its ancestors, and activates it.

This is a wrapper around gtk_widget_activate_action_variant() that constructs the `args` variant according to `format_string`.

#### Parameters

`name` | `const char*`
| The name of the action to activate.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`format_string` | `const char*`
| GVariant format string for arguments or `NULL` for no arguments.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Arguments, as given by format string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the action was activated, `FALSE` if the action does not exist.